public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Ben Kohler" <bkohler@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: net-dns/openresolv/
Date: Thu, 10 Apr 2025 19:29:03 +0000 (UTC)	[thread overview]
Message-ID: <1744313333.b1631e605ed8c3c2af26fb5226d1f599efa52e70.bkohler@gentoo> (raw)

commit:     b1631e605ed8c3c2af26fb5226d1f599efa52e70
Author:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
AuthorDate: Wed Apr  9 14:14:29 2025 +0000
Commit:     Ben Kohler <bkohler <AT> gentoo <DOT> org>
CommitDate: Thu Apr 10 19:28:53 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b1631e60

net-dns/openresolv: add 3.14.1

Signed-off-by: Ben Kohler <bkohler <AT> gentoo.org>

 net-dns/openresolv/Manifest                 |  1 +
 net-dns/openresolv/openresolv-3.14.1.ebuild | 43 +++++++++++++++++++++++++++++
 2 files changed, 44 insertions(+)

diff --git a/net-dns/openresolv/Manifest b/net-dns/openresolv/Manifest
index 1f9e6db13769..23023b116216 100644
--- a/net-dns/openresolv/Manifest
+++ b/net-dns/openresolv/Manifest
@@ -1,2 +1,3 @@
 DIST openresolv-3.12.0.tar.xz 21008 BLAKE2B 1609d8e97a9abe82f9ead7179727dd4323571e92b36aa2ca2a1177972f3a61946f612dd0cf81a804087f1c71bda25e78dab8b085ad2be55ce21214dc9870fdf6 SHA512 60348ca35114b105c8b3121e5f2d301311fcc7251a9be60c45fedc27267cfd94e413e77c7d5c91d0a0ccb8f1b4288bc147582b0ac9be64afcaa96ad3d833f26f
 DIST openresolv-3.13.2.tar.xz 21540 BLAKE2B e9ea4524da9e19ae8837869d04f039b2a77b9c9d34826b383ad8396a7b0e79df570c04dff38d33f8aaade35a171ae2599333ac54cbd4d656c965f2d4a5ddfe9b SHA512 4f1bc3e2865bc233d12c29e75893b3e53db0b127a7167d9be4ddd0228ba4f689f62af93eab088fb4d4f66baa556ed402c7fc5ecb9c4af5509004125af60fa379
+DIST openresolv-3.14.1.tar.xz 22144 BLAKE2B a9ff7217212f928eea04f131be854479fb0c3f486b19d7b789058977071160032607c9dacb0d1c7962b4f2a2eebd9d6ddc2784883976ee02c95570078374e90c SHA512 331ede9f58046e344448b6d96e331281286f47b8f71f761f2ce401725775577897464d5efd52e0003115bdb6a6bbef1982a99ae4faf483f29b640f9b2de12bb6

diff --git a/net-dns/openresolv/openresolv-3.14.1.ebuild b/net-dns/openresolv/openresolv-3.14.1.ebuild
new file mode 100644
index 000000000000..09d12f040453
--- /dev/null
+++ b/net-dns/openresolv/openresolv-3.14.1.ebuild
@@ -0,0 +1,43 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="A framework for managing DNS information"
+HOMEPAGE="https://roy.marples.name/projects/openresolv"
+SRC_URI="https://github.com/NetworkConfiguration/openresolv/releases/download/v${PV}/${P}.tar.xz"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="selinux"
+
+RDEPEND="!sys-apps/systemd[resolvconf]
+	selinux? ( sec-policy/selinux-resolvconf )"
+
+src_configure() {
+	local myeconfargs=(
+		--prefix="${EPREFIX}"
+		--rundir="${EPREFIX}"/var/run
+		--libexecdir="${EPREFIX}"/lib/resolvconf
+	)
+	econf "${myeconfargs[@]}"
+}
+
+pkg_config() {
+	if [[ -n ${ROOT} ]]; then
+		eerror "We cannot configure unless \$ROOT is empty"
+		return 1
+	fi
+
+	if [[ -n "$(resolvconf -l)" ]]; then
+		einfo "${PN} already has DNS information"
+	else
+		ebegin "Copying /etc/resolv.conf to resolvconf -a dummy"
+		resolvconf -a dummy </etc/resolv.conf
+		eend $? || return $?
+		einfo "The dummy interface will disappear when you next reboot"
+	fi
+}
+
+DOCS=( LICENSE README.md )


             reply	other threads:[~2025-04-10 19:29 UTC|newest]

Thread overview: 51+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2025-04-10 19:29 Ben Kohler [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-07-16 22:21 [gentoo-commits] repo/gentoo:master commit in: net-dns/openresolv/ Ben Kohler
2023-07-14 13:00 Ben Kohler
2023-06-29 19:57 Ben Kohler
2023-06-07 12:48 Ben Kohler
2023-04-23 11:59 Ben Kohler
2023-04-23 11:59 Ben Kohler
2023-04-23 11:59 Ben Kohler
2023-04-15 12:54 Ben Kohler
2022-05-17 12:48 WANG Xuerui
2022-04-23  2:09 Sam James
2022-04-22 17:43 Sam James
2021-08-20  9:35 Yixun Lan
2021-07-20 10:41 Ben Kohler
2021-05-18 14:15 Ben Kohler
2021-03-29 13:49 Ben Kohler
2021-03-24 16:52 Ben Kohler
2021-03-21  8:24 Joonas Niilola
2020-12-29 20:33 Sam James
2020-10-11  9:30 Joonas Niilola
2020-09-14  1:48 Sam James
2020-08-17 10:21 Sam James
2020-08-17 10:19 Sam James
2020-06-22 13:13 Joonas Niilola
2020-06-19 15:41 Sergei Trofimovich
2020-06-08 16:47 Joonas Niilola
2020-06-08 16:47 Joonas Niilola
2020-06-08 16:47 Joonas Niilola
2020-06-08 16:47 Joonas Niilola
2019-12-02 10:13 Lars Wendler
2019-05-23  6:39 Aaron Bauman
2018-09-28  0:18 Alon Bar-Lev
2018-04-08  5:02 Alon Bar-Lev
2018-04-07 22:11 Matt Turner
2018-03-26 18:35 Aaron Bauman
2017-12-05  5:44 Markus Meier
2017-10-22 21:42 Tobias Klausmann
2017-10-13  0:13 Sergei Trofimovich
2017-10-12 18:48 Sergei Trofimovich
2017-10-12 18:48 Sergei Trofimovich
2017-10-09 22:48 Thomas Deutschmann
2017-10-07 13:33 Michael Palimaka
2017-06-26  8:37 Alexis Ballier
2017-04-22 16:12 Alon Bar-Lev
2017-04-22 15:21 Alon Bar-Lev
2017-04-22 13:32 Jeroen Roovers
2017-03-16  9:45 Michael Weber
2017-03-06 15:50 Tobias Klausmann
2015-10-29 20:55 Alon Bar-Lev
2015-08-26 10:30 Agostino Sarubbo
2015-08-22  5:08 Jeroen Roovers

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1744313333.b1631e605ed8c3c2af26fb5226d1f599efa52e70.bkohler@gentoo \
    --to=bkohler@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox